using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class InputTeclas : MonoBehaviour
{

    public float[] angulos;

    public string[] teclas;

    private Dictionary<string, System.Action> comandos;

    private void Start()
    {
        var n = nave;
        comandos = new Dictionary<string, System.Action>();
        comandos.Add(teclas[0], () => n.Girar(angulos[1]));
        comandos.Add(teclas[1], () => n.Girar(angulos[0]));
        comandos.Add(teclas[2], () => n.Girar(-angulos[0]));
        comandos.Add(teclas[3], () => n.Girar(-angulos[1]));
        comandos.Add(teclas[4], n.Acelerar);
        comandos.Add(teclas[5], n.Frenar);
    }

    public ControlNave nave { get { return ControlNave.instancia; } }

    void Update()
    {
        foreach(var t in teclas)
            if (Input.GetKeyDown(t))
            {
                Sonidos.Tecla();
                System.Action accion;
                if (comandos.TryGetValue(t, out accion))
                {
                    Transmisor.instancia.Enviar(accion);
                    break;
                }
            }
    }
}
